// creator  : weidu.exe (version 23100)
// argument : MTOB6.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~MTOB6~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 5 6 7 even though they appear after this state */
~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #8366 /* ~That is incorrect. You do not understand what it is like to have everything torn from your grasp and thrown in your face! Stay calm if you wish. I've no stomach for these games now!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 5 6 7 even though they appear after this state */
~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #8367 /* ~Acting as you do now merely proves that you were never worthy to become a knight anyway. The Prelate was right to refuse you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 5 6 7 even though they appear after this state */
~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #8368 /* ~It would seem that the Prelate's decision is irreversible. There is nothing that we can do but move on and return to the road.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 /* Triggers after states #: 5 6 7 even though they appear after this state */
~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #8369 /* ~My church dictates that I search these depths. If you do the same, tell me what you know.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #8370 /* ~Who cares? Life is difficult. Accept it and let us move on.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~SetGlobal("Warning","GLOBAL",1)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 5 // from:
  SAY #8371 /* ~Shut your foolish mouth! Everything I've worked for is gone! All that I want is denied me! I cannot simply accept this.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("Warning","GLOBAL",1)
ReactionLT(LastTalkedToBy,NEUTRAL_LOWER)
~ THEN BEGIN 6 // from:
  SAY #8372 /* ~Like yourself, I have been sent to search this place for clues. Found anything?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 7 // from:
  SAY #8374 /* ~Acting as you do now merely proves that you were never worthy to become a knight anyway. The Prelate was right to refuse you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 8 // from:
  SAY #9176 /* ~Quite a mouthful for one of a servant race.  I understand your warning and will take it for what it's worth.  Begone!~ */
  IF ~~ THEN EXIT
END
